INSERT [ManagedElementType] ([ManagedElementTypeGuid], [TypeName], [IsSingleInstance]) 
select N'69e0ab3f-e73d-43cd-a42a-08bf439199a9', N'OidObject',0
   where not exists (select * from [ManagedElementType] where [ManagedElementTypeGuid] = '69e0ab3f-e73d-43cd-a42a-08bf439199a9')
GO

	INSERT [ManagedElementAttributeType] 
	([ManagedElementAttributeTypeGuid], [ManagedElementTypeGuid],[AttributeName], [IsKey], [IsMonitored], [DataType], [IsArray],[SqlDataType]) 
	select N'15e0310b-da61-4cf8-b540-dbd5a6b8865f', N'69e0ab3f-e73d-43cd-a42a-08bf439199a9', N'OID', 1, 0, N'System.String', 0, N'nvarchar(MAX)'
	 where not exists (select * from [ManagedElementAttributeType] where [ManagedElementAttributeTypeGuid] = '15e0310b-da61-4cf8-b540-dbd5a6b8865f')
GO

	INSERT [ManagedElementAttributeType] 
	([ManagedElementAttributeTypeGuid], [ManagedElementTypeGuid],[AttributeName], [IsKey], [IsMonitored], [DataType], [IsArray], [SqlDataType]) 
	select N'1696f74f-de39-497b-a711-cdfc11683364', N'69e0ab3f-e73d-43cd-a42a-08bf439199a9', N'Value', 0, 0, N'System.String', 0, N'nvarchar(MAX)'
	 where not exists (select * from [ManagedElementAttributeType] where [ManagedElementAttributeTypeGuid] = '1696f74f-de39-497b-a711-cdfc11683364')

GO

---------------------

INSERT [ManagedElementType] ([ManagedElementTypeGuid], [TypeName], [IsSingleInstance]) 
select N'e0345908-bee3-4403-9b43-141c145e4be9', N'Win32_ServerFeature',0
   where not exists (select * from [ManagedElementType] where [ManagedElementTypeGuid] = 'e0345908-bee3-4403-9b43-141c145e4be9')
GO

	INSERT [ManagedElementAttributeType] 
	([ManagedElementAttributeTypeGuid], [ManagedElementTypeGuid],[AttributeName], [IsKey], [IsMonitored], [DataType], [IsArray],[SqlDataType]) 
	select N'f6bc4b49-ed9d-44f1-99f7-56cdaf5980da', N'e0345908-bee3-4403-9b43-141c145e4be9', N'ID', 1, 0, N'System.UInt32', 0, N'bigint'
	 where not exists (select * from [ManagedElementAttributeType] where [ManagedElementAttributeTypeGuid] = 'f6bc4b49-ed9d-44f1-99f7-56cdaf5980da')
GO

	INSERT [ManagedElementAttributeType] 
	([ManagedElementAttributeTypeGuid], [ManagedElementTypeGuid],[AttributeName], [IsKey], [IsMonitored], [DataType], [IsArray],[SqlDataType]) 
	select N'a7f38286-33d0-4b2f-88a6-e31ac6cdf545', N'e0345908-bee3-4403-9b43-141c145e4be9', N'ParentID', 0, 0, N'System.UInt32', 0, N'bigint'
	 where not exists (select * from [ManagedElementAttributeType] where [ManagedElementAttributeTypeGuid] = 'a7f38286-33d0-4b2f-88a6-e31ac6cdf545')
GO

	INSERT [ManagedElementAttributeType] 
	([ManagedElementAttributeTypeGuid], [ManagedElementTypeGuid],[AttributeName], [IsKey], [IsMonitored], [DataType], [IsArray], [SqlDataType]) 
	select  N'9ba5d132-714a-4337-981d-dc3f5205c354', N'e0345908-bee3-4403-9b43-141c145e4be9', N'Name', 0, 0, N'System.String', 0, N'nvarchar(MAX)'
	 where not exists (select * from [ManagedElementAttributeType] where [ManagedElementAttributeTypeGuid] = '9ba5d132-714a-4337-981d-dc3f5205c354')

GO

Insert into OSType ([ID],[Name]) select 12, 'Windows 2008 Server R2'
	where not exists (select * from OSType where [Name] = 'Windows 2008 Server R2')
go

Insert into OSType ([ID],[Name]) select 13, 'Windows 8'
	where not exists (select * from OSType where [Name] = 'Windows 8')
go

Insert into OSType ([ID],[Name]) select 14, 'Windows 2012 Server'
	where not exists (select * from OSType where [Name] = 'Windows 2012 Server')
go





Insert into OSType ([ID],[Name]) select 15, 'Windows 2012 Server R2'
	where not exists (select * from OSType where [Name] = 'Windows 2012 Server R2')
go

Insert into OSType ([ID],[Name]) select 16, 'Windows 8.1'
	where not exists (select * from OSType where [Name] = 'Windows 8.1')
go




Insert into OSType ([ID],[Name]) select 17, 'Windows 10.0'
	where not exists (select * from OSType where [Name] = 'Windows 10.0')
go

Insert into OSType ([ID],[Name]) select 18, 'Windows 2016 Server'
	where not exists (select * from OSType where [Name] = 'Windows 2016 Server')
go




